/**
*
* epdV230_text.ino
*
* demo of display text
* 
* loovee
* 2013-7-10
* 
* Modified by: Muchiri john
* Created: 12/29/2014 12:49:39
*
* note: if you use an Arduin UNO, Seeeduino 3.0 (any board that use Atmega 328P or 32U4) 
* you should insert an SD card if you want to use this demo
* if you use a Arduino Mega(any board that use Atmega1280 or Atmega2560), you neen't
* insert an SD card for this demo
*
**/

#include <SPI.h>
#include <SD.h>

/*include epd library*/
#include <ePaper.h>

void setup()
{
  //initialize with your epd screen size: EPD_144, EPD_200 or EPD_270
  //and inverse image or not: FALSE/TRUE -> IMAGE NOT IMVERTED/INVERTEDD
  EPAPER.init(EPD_270, FALSE);
  
  /*initialize epaper*/
  EPAPER.begin();
  /*set display direction*/
  EPAPER.setDirection(DIRNORMAL);
  
  /*initialize sd card*/
  eSD.begin();
  /*initialize font chip*/                                   
  GT20L16.begin();
  
  /*draw string*/
  EPAPER.drawString("SeeedStudio", 10, 10);
  /*draw numbers*/
  EPAPER.drawNumber(12345, 60, 40);
  /*draw a float number*/
  EPAPER.drawFloat(-1.25, 2, 80, 65);
  /*display graphics on epd*/
  EPAPER.display(); 
}

void loop()
{
  // add code here
}
